import { Injectable } from '@angular/core';
import {HttpClient} from '@angular/common/http';
import {CommonsService} from './commons.service';
import {environment} from '../../environments/environment';


@Injectable({
  providedIn: 'root'
})
export class DiscountPackageService {

  constructor(
      private http: HttpClient,
      private common: CommonsService
  ) { }

  /**
   * @Author Sum1Dream
   * @methodName getDiscountPackageList
   * @Description // 查询优惠券包列表
   * @Date 3:16 下午 2021/11/29
   * @Param [paramsObject , callBack]
   */
  public getDiscountPackageList(paramsObject: object, callBack) {
    this.http.get(environment.baseUrl + 'highDiscountPackage/getDiscountPackageList?' + this.common.getWhereCondition(paramsObject)).subscribe(data => {
      callBack(data);
    });
  }



  /**
   * @Author Sum1Dream
   * @methodName insertCouponPackageInfo
   * @Description // 配置优惠券包基本信息
   * @Date 5:18 下午 2021/11/29
   * @Param [params: object, callBack]
   */
  public insertCouponPackageInfo(params: object, callBack) {
    this.http.post(environment.baseUrl + 'highDiscountPackage/insertCouponPackageInfo', params).subscribe(data => {
      callBack(data);
    });
  }

  public updateCouponPackageInfo(params: object, callBack) {
    this.http.post(environment.baseUrl + 'highDiscountPackage/updateCouponPackageInfo', params).subscribe(data => {
      callBack(data);
    });
  }
}
